node-gyp v5.0.0 released

Hi! I’m not sure what’s the best category to open this in, I can open somewhere else if more appropriate.

node-gyp v5.0.0 was just released: https://github.com/nodejs/node-gyp/pull/1723

This new version contains a lot of changes, should help a lot with some of the problems we’ve been seeing but also comes with a higher than usual risk of bugs. It would be great if npm could pick this up slowly, not making it the default right away. Perhaps for now only using it when npm is updated explicitly to the latest version. This would give us some time to react to possible issues there, while creating minimum disruption for the users.

We still plan on maintaining the v4.x if any issue is found there.

Thanks!

Thanks for heads-up. I moved to #development

2 Likes

This topic was automatically closed 7 days after the last reply. New replies are no longer allowed.